%define         major         0
%define         libname       %mklibname %{name} %{major}
%define         libtestername %mklibname %{name}-tester %{major}
%define         develname     %mklibname %{name} -d

Name:           bctoolbox
Version:        0.2.0
%define         subrel 2
Release:        %mkrel 4
Summary:        Utility library for software from Belledonne Communications
License:        GPLv2+
Group:          Development/C++
Url:            https://linphone.org
Source0:        http://mirrors.cicku.me/savannah/linphone/bctoolbox/%{version}/%{name}-%{version}.tar.gz
Source1:        http://mirrors.cicku.me/savannah/linphone/bctoolbox/%{version}/%{name}-%{version}.tar.gz.sig

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mbedtls-devel
BuildRequires:  pkgconfig(cunit)
BuildRequires:  pkgconfig(zlib)

%description
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

%package -n     %{develname}
Summary:        Development files for %{name}, a utility library for linphone/belle-sip/etc
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       %{libtestername} = %{version}
Requires:       pkgconfig(zlib)
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      bctoolbox-%{_lib}bctoolbox-devel < 0.2.0-3

%description -n %{develname}
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package contains development files.

%package -n %{libname}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library.

%package -n %{libtestername}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name}-tester = %{version}-%{release}

%description -n %{libtestername}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library for testing component.

%prep
%setup -q
sed -i "s|CUnit 3.0|CUnit 2.1|g" CMakeLists.txt

%build
%cmake \
  -DMBEDTLS_V2=yes \
  -DENABLE_TESTS_COMPONENT=yes \
  -DENABLE_TESTS=yes \
  -DENABLE_STATIC=no
%make_build

%install
%make_install -C build


%files -n %{libname}
%doc COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libtestername}
%doc COPYING
%{_libdir}/lib%{name}-tester.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING README AUTHORS
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/lib%{name}-tester.so


%changelog
* Tue May 08 2018 kekepower <kekepower> 0.2.0-4.2.mga6
  (not released yet)
+ Revision: 1227827
- Rebuild for new mbedtls
- Rebuild for new mbedtls

* Sun Jan 22 2017 akien <akien> 0.2.0-4.mga6
+ Revision: 1083036
- Rebuild for mbedtls 2.4.0

* Fri Dec 02 2016 daviddavid <daviddavid> 0.2.0-3.mga6
+ Revision: 1071679
- fix devel subpackage name
- remove some useless hardcoded requires

* Tue Nov 29 2016 zezinho <zezinho> 0.2.0-2.mga6
+ Revision: 1071025
- fix requires
- now it builds
- mageia way from suse
- imported package bctoolbox

